TermVectorLeafReader (Lucene 10.5.1 highlighter API)
Description: declaration: package: org.apache.lucene.search.highlight, class: TermVectorLeafReader

Package org.apache.lucene.search.highlight

# Class TermVectorLeafReader

java.lang.Object
org.apache.lucene.index.IndexReader
org.apache.lucene.index.LeafReader
org.apache.lucene.search.highlight.TermVectorLeafReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class TermVectorLeafReader extends LeafReader
Wraps a Terms with a `LeafReader`, typically from term vectors.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

  `IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TermVectorLeafReader(String field, Terms terms)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  `protected void`
  `doClose()`
  `BinaryDocValues`
  `getBinaryDocValues(String field)`
  `ByteVectorValues`
  `getByteVectorValues(String fieldName)`
  `IndexReader.CacheHelper`
  `getCoreCacheHelper()`
  `DocValuesSkipper`
  `getDocValuesSkipper(String field)`
  `FieldInfos`
  `getFieldInfos()`
  `FloatVectorValues`
  `getFloatVectorValues(String fieldName)`
  `Bits`
  `getLiveDocs()`
  `LeafMetaData`
  `getMetaData()`
  `NumericDocValues`
  `getNormValues(String field)`
  `NumericDocValues`
  `getNumericDocValues(String field)`
  `PointValues`
  `getPointValues(String fieldName)`
  `IndexReader.CacheHelper`
  `getReaderCacheHelper()`
  `SortedDocValues`
  `getSortedDocValues(String field)`
  `SortedNumericDocValues`
  `getSortedNumericDocValues(String field)`
  `SortedSetDocValues`
  `getSortedSetDocValues(String field)`
  `int`
  `maxDoc()`
  `int`
  `numDocs()`
  `void`
  `searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  `searchNearestVectors(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `StoredFields`
  `storedFields()`
  `Terms`
  `terms(String field)`
  `TermVectors`
  `termVectors()`

  ### Methods inherited from class org.apache.lucene.index.LeafReader

  `docFreq, getContext, getDocCount, getLiveDocsWithDeletedIterator, getSumDocFreq, getSumTotalTermFreq, postings, postings, searchNearestVectors, searchNearestVectors, totalTermFreq`

  ### Methods inherited from class org.apache.lucene.index.IndexReader

  `close, decRef, ensureOpen, equals, getRefCount, hasDeletions, hashCode, incRef, leaves, notifyReaderClosedListeners, numDeletedDocs, registerParentReader, tryIncRef`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TermVectorLeafReader

    public TermVectorLeafReader(String field, Terms terms)

- ## Method Details

  - ### doClose

    protected void doClose() throws IOException
    Specified by:
      `doClose` in class `IndexReader`
    Throws:
      `IOException`

  - ### terms

    public Terms terms(String field) throws IOException
    Specified by:
      `terms` in class `LeafReader`
    Throws:
      `IOException`

  - ### getNumericDocValues

    public NumericDocValues getNumericDocValues(String field) throws IOException
    Specified by:
      `getNumericDocValues` in class `LeafReader`
    Throws:
      `IOException`

  - ### getBinaryDocValues

    public BinaryDocValues getBinaryDocValues(String field) throws IOException
    Specified by:
      `getBinaryDocValues` in class `LeafReader`
    Throws:
      `IOException`

  - ### getSortedDocValues

    public SortedDocValues getSortedDocValues(String field) throws IOException
    Specified by:
      `getSortedDocValues` in class `LeafReader`
    Throws:
      `IOException`

  - ### getSortedNumericDocValues

    public SortedNumericDocValues getSortedNumericDocValues(String field) throws IOException
    Specified by:
      `getSortedNumericDocValues` in class `LeafReader`
    Throws:
      `IOException`

  - ### getSortedSetDocValues

    public SortedSetDocValues getSortedSetDocValues(String field) throws IOException
    Specified by:
      `getSortedSetDocValues` in class `LeafReader`
    Throws:
      `IOException`

  - ### getDocValuesSkipper

    public DocValuesSkipper getDocValuesSkipper(String field) throws IOException
    Specified by:
      `getDocValuesSkipper` in class `LeafReader`
    Throws:
      `IOException`

  - ### getNormValues

    public NumericDocValues getNormValues(String field) throws IOException
    Specified by:
      `getNormValues` in class `LeafReader`
    Throws:
      `IOException`

  - ### getFieldInfos

    public FieldInfos getFieldInfos()
    Specified by:
      `getFieldInfos` in class `LeafReader`

  - ### getLiveDocs

    public Bits getLiveDocs()
    Specified by:
      `getLiveDocs` in class `LeafReader`

  - ### getPointValues

    public PointValues getPointValues(String fieldName)
    Specified by:
      `getPointValues` in class `LeafReader`

  - ### getFloatVectorValues

    public FloatVectorValues getFloatVectorValues(String fieldName)
    Specified by:
      `getFloatVectorValues` in class `LeafReader`

  - ### getByteVectorValues

    public ByteVectorValues getByteVectorValues(String fieldName)
    Specified by:
      `getByteVectorValues` in class `LeafReader`

  - ### searchNearestVectors

    public void searchNearestVectors(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)
    Specified by:
      `searchNearestVectors` in class `LeafReader`

  - ### searchNearestVectors

    public void searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)
    Specified by:
      `searchNearestVectors` in class `LeafReader`

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Specified by:
      `checkIntegrity` in class `LeafReader`
    Throws:
      `IOException`

  - ### termVectors

    public TermVectors termVectors() throws IOException
    Specified by:
      `termVectors` in class `IndexReader`
    Throws:
      `IOException`

  - ### numDocs

    public int numDocs()
    Specified by:
      `numDocs` in class `IndexReader`

  - ### maxDoc

    public int maxDoc()
    Specified by:
      `maxDoc` in class `IndexReader`

  - ### storedFields

    public StoredFields storedFields() throws IOException
    Specified by:
      `storedFields` in class `IndexReader`
    Throws:
      `IOException`

  - ### getMetaData

    public LeafMetaData getMetaData()
    Specified by:
      `getMetaData` in class `LeafReader`

  - ### getCoreCacheHelper

    public IndexReader.CacheHelper getCoreCacheHelper()
    Specified by:
      `getCoreCacheHelper` in class `LeafReader`

  - ### getReaderCacheHelper

    public IndexReader.CacheHelper getReaderCacheHelper()
    Specified by:
      `getReaderCacheHelper` in class `IndexReader`